package com.engine.organization.entity.column;

import lombok.Data;

import java.util.Objects;

/**
 * @author:dxfeng
 * @createTime: 2023/01/16
 * @version: 1.0
 */
@Data
public class TableColumnPO {
    private String tableName;
    private String columnName;
    private String columnType;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        TableColumnPO that = (TableColumnPO) o;
        return Objects.equals(columnName, that.columnName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(columnName);
    }
}
